package com.brilliance.isc.swift.objmtconvert.model.mt7xx.tag.tag768;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt7xx.MT768Creator;

/**
 * @author wuzhe
 * @date 2023/3/2
 */
public class Tag21Creator extends AbsTagCreate {

     private MT768Creator mt768Creator;

    public Tag21Creator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt768Creator= (MT768Creator) absMTCreator;
    }

    public  void creator()
    {
        String tag21Value = mt768Creator.getRelatedReference();
        mt768Creator.set("21", tag21Value);
    }
}
